import pandas as pd

def readInitConc(filename):

    df = pd.read_table(filename,header=None,names=('Name','Conc'),index_col=0)
    return df.values.squeeze() # numpy.ndarray


def writeEndConc(filename,EndConc): # EndConc is a numpy.ndarray

    varnames = ["Cys","GGC","B_M","APAP_ext","APAP",
        "PAPS","NAPQI","GSH","Pro_Add","UDP_GA",
        "Glc","DHAP","Fru16P_2","Fru26P_2","Fru6P",
        "GAP","GDP","GDP_mito","Glc_ER","Glc1P",
        "Glc6P","Glc6P_ER","Glyc","GTP","GTP_mito",
        "Lac","Mal","Mal_mito","OA","OA_mito",
        "PEP","PEP_mito","_13P2G","_2PG","_3PG",
        "Pyr","Pyr_mito","UDP","UDP_Glc","UTP",
        "Glc_ext","Lac_ext"]

    df = pd.DataFrame(
        data = EndConc,
        index=varnames
        )

    df.to_csv(filename,sep='\t',header=None)


if __name__ == '__main__':
    initconc = readInitConc("InitConc0.tsv")
    print(initconc)
    writeEndConc("out.tsv",initconc)
